Package: org.grails.cli.interactive.completers

## [Groovy] Class AllClassCompleter

- org.grails.cli.interactive.completers.AllClassCompleter

-     class AllClassCompleter
      extends ClassNameCompleter

  A completer that completes all classes in the project

  Authors:
    Graeme Rocher
  Since:
    3.0

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ClassNameCompleter` | `RESOURCE_SCAN_CACHE, allCompeters, baseDirs, resourcePatternResolver`
    `class StringsCompleter` | `strings`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AllClassCompleter ()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassNameCompleter` | `initialize, isValidResource, refresh, refreshAll`
    `class StringsCompleter` | `complete, getStrings, setStrings`

- - ### Constructor Detail

    - #### AllClassCompleter()